summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChema Alonso Josa <nimiux@gentoo.org>2017-02-14 22:47:01 +0100
committerChema Alonso Josa <nimiux@gentoo.org>2017-02-14 22:47:25 +0100
commitf4eb2e39bf429982b8794033360b010f0e85e5b4 (patch)
tree00dbc9a88780333f704083e7b3aa99184506574a /dev-lisp/asdf
parentapp-forensics/honggfuzz: bump up to 0.9 (diff)
downloadgentoo-f4eb2e39bf429982b8794033360b010f0e85e5b4.tar.gz
gentoo-f4eb2e39bf429982b8794033360b010f0e85e5b4.tar.bz2
gentoo-f4eb2e39bf429982b8794033360b010f0e85e5b4.zip
dev-lisp/asdf: Bumps last version as requested in bug #605752 comment #4
Package-Manager: portage-2.3.3
Diffstat (limited to 'dev-lisp/asdf')
-rw-r--r--dev-lisp/asdf/asdf-3.2.0-r1.ebuild50
-rw-r--r--dev-lisp/asdf/asdf-3.2.0.ebuild3
2 files changed, 51 insertions, 2 deletions
diff --git a/dev-lisp/asdf/asdf-3.2.0-r1.ebuild b/dev-lisp/asdf/asdf-3.2.0-r1.ebuild
new file mode 100644
index 00000000000..5e97a01ef0a
--- /dev/null
+++ b/dev-lisp/asdf/asdf-3.2.0-r1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit eutils prefix
+
+DESCRIPTION="ASDF is Another System Definition Facility for Common Lisp"
+HOMEPAGE="http://common-lisp.net/project/asdf/"
+SRC_URI="http://common-lisp.net/project/${PN}/archives/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-macos ~x86-solaris"
+IUSE="doc"
+
+SLOT="0/${PVR}"
+
+DEPEND="!dev-lisp/cl-${PN}
+ !dev-lisp/asdf-binary-locations
+ !dev-lisp/gentoo-init
+ !<dev-lisp/asdf-2.33-r3
+ doc? ( virtual/texi2dvi )"
+RDEPEND=""
+PDEPEND="~dev-lisp/uiop-${PV}"
+
+#S="${WORKDIR}"
+
+install_docs() {
+ # Not installing info file at the moment, see bug #605752
+ (cd doc ; dodoc *.{html,css,ico,png} "${PN}.pdf" ; dodoc -r asdf)
+}
+
+src_compile() {
+ make
+ use doc && make -C doc
+}
+
+src_install() {
+ insinto "/usr/share/common-lisp/source/${PN}"
+ doins -r build version.lisp-expr
+ dodoc README.md TODO
+ use doc && install_docs
+ insinto /etc/common-lisp
+ cd "${T}" || die
+ cp "${FILESDIR}/gentoo-init.lisp" "${FILESDIR}/source-registry.conf" . || die
+ eprefixify gentoo-init.lisp source-registry.conf
+ doins gentoo-init.lisp source-registry.conf
+}
diff --git a/dev-lisp/asdf/asdf-3.2.0.ebuild b/dev-lisp/asdf/asdf-3.2.0.ebuild
index 085373ac686..3daee10285f 100644
--- a/dev-lisp/asdf/asdf-3.2.0.ebuild
+++ b/dev-lisp/asdf/asdf-3.2.0.ebuild
@@ -29,8 +29,7 @@ PDEPEND="~dev-lisp/uiop-${PV}"
install_docs() {
# Not installing info file at the moment, see bug #605752
- #(cd doc ; dodoc *.{html,css,ico,png} "${PN}.pdf" ; dodoc -r asdf ; doinfo "${PN}.info")
- (cd doc ; dodoc *.{html,css,ico,png} "${PN}.pdf" ; dodoc -r asdf)
+ (cd doc ; dodoc *.{html,css,ico,png} "${PN}.pdf" ; dodoc -r asdf ; doinfo "${PN}.info")
}
src_compile() {